function output=read_signal(value)
try
fwrite(value,255);
pause(0.5)
fedx=fread(value,get(value,'BytesAvailable'));
fed2bin=dec2bin(fedx(1),8);
fed1bin=dec2bin(fedx(2),8);
fedbin =[fed1bin fed2bin];
fed=bin2dec(fedbin);
output=scaling(0,4095,0,2.5,fed)*100;
catch
    error('Error communicating with the unit-Try re-intialising');
end
end
